Package org.eclipse.rdf4j.console

## Class VerificationListener

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.AbstractRDFHandler
  - - org.eclipse.rdf4j.console.VerificationListener

- All Implemented Interfaces:
    `ParseErrorListener`, `RDFHandler`

      public class VerificationListener
      extends AbstractRDFHandler
      implements ParseErrorListener

  Listen to parser errors and warnings
  Author:
    Dale Visser

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VerificationListener​(ConsoleIO consoleIO)` | Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `error​(String msg, long lineNo, long colNo)` | Reports an error from the parser.
    `void` | `fatalError​(String msg, long lineNo, long colNo)` | Reports a fatal error from the parser.
    `int` | `getErrors()` | Get number of errors
    `int` | `getStatements()` | Get number of statements
    `int` | `getWarnings()` | Get number of warnings
    `void` | `handleStatement​(Statement statement)` | Handles a statement.
    `void` | `warning​(String msg, long lineNo, long colNo)` | Reports a warning from the parser.

    - ### Methods inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFHandler

      `endRDF, handleComment, handleNamespace, startRDF`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VerificationListener

          public VerificationListener​(ConsoleIO consoleIO)

      Constructor
      Parameters:
        `consoleIO` -

  - ### Method Detail

    - #### getWarnings

          public int getWarnings()

      Get number of warnings
      Returns:
        number of warnings

    - #### getErrors

          public int getErrors()

      Get number of errors
      Returns:
        number of errors

    - #### getStatements

          public int getStatements()

      Get number of statements
      Returns:
        number of statements

    - #### handleStatement

          public void handleStatement​(Statement statement)
                               throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Handles a statement.
      Specified by:
        `handleStatement` in interface `RDFHandler`
      Overrides:
        `handleStatement` in class `AbstractRDFHandler`
      Parameters:
        `statement` - The statement.
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### warning

          public void warning​(String msg,
                              long lineNo,
                              long colNo)

      Description copied from interface: `ParseErrorListener`
      Reports a warning from the parser. Warning messages are generated by the parser when it encounters data that is syntactically correct but which is likely to be a typo. Examples are the use of unknown or deprecated RDF URIs, e.g. rdfs:Property instead of rdf:Property.
      Specified by:
        `warning` in interface `ParseErrorListener`
      Parameters:
        `msg` - A warning message.
        `lineNo` - A line number related to the warning, or -1 if not available or applicable.
        `colNo` - A column number related to the warning, or -1 if not available or applicable.

    - #### error

          public void error​(String msg,
                            long lineNo,
                            long colNo)

      Description copied from interface: `ParseErrorListener`
      Reports an error from the parser. Error messages are generated by the parser when it encounters an error in the RDF document. The parser will try its best to recover from the error and continue parsing when stopAtFirstError has been set to false.
      Specified by:
        `error` in interface `ParseErrorListener`
      Parameters:
        `msg` - A error message.
        `lineNo` - A line number related to the error, or -1 if not available or applicable.
        `colNo` - A column number related to the error, or -1 if not available or applicable.
      See Also:
        `org.eclipse.rdf4j.rio.RDFParser#setStopAtFirstError`

    - #### fatalError

          public void fatalError​(String msg,
                                 long lineNo,
                                 long colNo)

      Description copied from interface: `ParseErrorListener`
      Reports a fatal error from the parser. A fatal error is an error of which the RDF parser cannot recover. The parser will stop parsing directly after it reported the fatal error. Example fatal errors are unbalanced start- and end-tags in an XML-encoded RDF document.
      Specified by:
        `fatalError` in interface `ParseErrorListener`
      Parameters:
        `msg` - A error message.
        `lineNo` - A line number related to the error, or -1 if not available or applicable.
        `colNo` - A column number related to the error, or -1 if not available or applicable.